package com.chinaitop.depot.intelligent.fumigation.mapper;

import com.chinaitop.depot.intelligent.fumigation.model.TFumigationPlan;
import com.chinaitop.depot.intelligent.fumigation.model.TFumigationPlanExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface TFumigationPlanMapper {
    int countByExample(TFumigationPlanExample example);

    int deleteByExample(TFumigationPlanExample example);

    int deleteByPrimaryKey(String id);

    int insert(TFumigationPlan record);

    int insertSelective(TFumigationPlan record);

    List<TFumigationPlan> selectByExample(TFumigationPlanExample example);

    List<TFumigationPlan> getProcessList(Map<String, Object> map);

    TFumigationPlan selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TFumigationPlan record, @Param("example") TFumigationPlanExample example);

    int updateByExample(@Param("record") TFumigationPlan record, @Param("example") TFumigationPlanExample example);

    int updateByPrimaryKeySelective(TFumigationPlan record);

    int updateByPrimaryKey(TFumigationPlan record);

    //获取方案列表
    List<Map<String,Object>> selectPlanQueryList(Map<String, Object> map);

    //作业全部信息--省级平台用
    List<Map<String,Object>> getAllQueryList(Map<String, Object> map);

    //获取熏蒸审批方案列表
    List<Map<String,Object>> getFumigationApproveList(Map<String, Object> map);
    
    List<Map<Object,Object>> getJcd(Map<Object, Object> map);
}